%global pypi_name ludolph

Name:           python-%{pypi_name}
Version:        1.0.1
Release:        3%{?dist}
Summary:        Monitoring Jabber Bot

License:        BSD
URL:            https://github.com/erigones/Ludolph/
Source0:        https://files.pythonhosted.org/packages/source/l/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python2-devel
BuildRequires:  python2-sleekxmpp
BuildRequires:  python2-bottle
%if 0%{?fedora}
BuildRequires:  python2-setuptools
BuildRequires:  python2-nose
BuildRequires:  python2-dns
%else
BuildRequires:  python-setuptools
BuildRequires:  python-nose
BuildRequires:  python-dns
%endif

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-nose
BuildRequires:  python%{python3_pkgversion}-sleekxmpp
BuildRequires:  python%{python3_pkgversion}-bottle
BuildRequires:  python%{python3_pkgversion}-dns
BuildRequires:  systemd

%global desc Monitoring Jabber Bot with Zabbix support, completely written in Python.\
\
Features\
* Simple and modular design\
* Alerts from Zabbix\
* Multi-User Chat (XEP-0045)\
* Colorful messages (XEP-0071)\
* Attention (XEP-0224)\
* Avatars (XEP-0084)\
* Roster management and ACL configuration\
* Webhooks and Cron jobs\
* Plugins and commands

%description
%{desc}

%package -n     python2-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{pypi_name}}
 
Requires:       python2-sleekxmpp
Requires:       python2-bottle
%if 0%{?fedora}
Requires:       python2-dns
%else
Requires:  python-dns
%endif
%description -n python2-%{pypi_name}
%{desc}
Use the python3-ludolph package to get the actual application and service.

%package -n     python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}
 
Requires:       python%{python3_pkgversion}-sleekxmpp
Requires:       python%{python3_pkgversion}-bottle
Requires:       python%{python3_pkgversion}-dns
Requires:       systemd
Provides:       %{pypi_name} = %{version}-%{release}
%description -n python%{python3_pkgversion}-%{pypi_name}
%{desc}

%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py2_build
%py3_build

%install
%py2_install
# Make sure we clean up everything after python2 build
rm %{buildroot}/%{_bindir}/*

%py3_install

install -p -D -m 644 init.d/%{pypi_name}.service %{buildroot}%{_unitdir}/%{pypi_name}.service
install -p -D -m 644 init.d/%{pypi_name}.conf %{buildroot}%{_tmpfilesdir}/%{pypi_name}.conf

%check
%{__python2} -m nose
%{__python3} -m nose

%post -n python%{python3_pkgversion}-%{pypi_name}
%systemd_post %{pypi_name}.service
%tmpfiles_create %{pypi_name}.conf

%preun -n python%{python3_pkgversion}-%{pypi_name}
%systemd_preun %{pypi_name}.service

%postun -n python%{python3_pkgversion}-%{pypi_name}
%systemd_postun %{pypi_name}.service

%files -n python2-%{pypi_name}
%license LICENSE
%doc README.rst
%{python2_sitelib}/%{pypi_name}
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%files -n python%{python3_pkgversion}-%{pypi_name}
%license LICENSE
%doc README.rst
%{_bindir}/%{pypi_name}
%ghost %config(noreplace) %{_sysconfdir}/%{pypi_name}.cfg
%ghost %dir %{_localstatedir}/run/%{pypi_name}
%{_tmpfilesdir}/%{pypi_name}.conf
%{_unitdir}/%{pypi_name}.service
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%changelog
* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Sep 18 2017 ricco <richard.kellner@gmail.com> - 1.0.1-2
- Epel7 support added and minor spec file cleanups

* Mon Aug 21 2017 Richard Kellner <richard.kellner@gmail.com> - 1.0.1-1
- Initial rpm package for Ludolph version 1.0.1
